# Uses of Class
it.tdlight.jni.TdApi.DraftMessage

## Uses of TdApi.DraftMessage in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.DraftMessage
Modifier and Type
Field
Description
`TdApi.DraftMessage`
TdApi.Chat.`draftMessage`
A draft of a message in the chat; may be null.
`TdApi.DraftMessage`
TdApi.MessageThreadInfo.`draftMessage`
A draft of a message in the message thread; may be null.
`TdApi.DraftMessage`
TdApi.SetChatDraftMessage.`draftMessage`
New draft message; pass null to remove the draft.
`TdApi.DraftMessage`
TdApi.UpdateChatDraftMessage.`draftMessage`
The new draft message; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.DraftMessage
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, boolean isMarkedAsUnread, boolean isBlocked, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, TdApi.ChatNotificationSettings notificationSettings, int messageTtlSetting, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`MessageThreadInfo(long chatId, long messageThreadId, TdApi.MessageReplyInfo replyInfo, int unreadMessageCount, TdApi.Message[] messages, TdApi.DraftMessage draftMessage)`
Contains information about a message thread.
``
`SetChatDraftMessage(long chatId, long messageThreadId, TdApi.DraftMessage draftMessage)`
Changes the draft message in a chat.
``
`UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)`
A chat draft has changed.